cURL
curl --request GET \
--url https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/shop \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/shop"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/shop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hostedDisplayUrl": "https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4",
"id": "693f2f46-69ff-4f20-a4d9-abe982d34fd4",
"loanId": "<string>",
"quotes": [
{
"agentBridgeLink": "https://example.com/agent-bridge",
"carrierId": "cad7127b-787c-4e33-8240-7344292c2962",
"carrierLogoUrl": "https://example.com/carrier-logo.png",
"carrierName": "Carrier Name",
"coverages": {
"a": {
"amount": 123,
"included": true
},
"b": {
"amount": 123,
"included": true
},
"c": {
"amount": 123,
"included": true
},
"d": {
"amount": 123,
"included": true
},
"e": {
"amount": 123,
"included": true
},
"f": {
"amount": 123,
"included": true
},
"waterBackup": {
"amount": 123,
"included": true
},
"computers": {
"amount": 123,
"included": true
},
"hvac": {
"amount": 123,
"included": true
},
"mineSubsidence": {
"amount": 123,
"included": true
}
},
"deductibles": {
"dwelling": {
"amount": 123,
"included": true
},
"wind": {
"amount": 123,
"included": true
}
},
"effectiveDate": "2024-01-01",
"endorsements": {
"floodZone": {
"included": true
},
"swimmingPool": {
"included": true
}
},
"id": "7c7a39cc-256f-4514-92b9-a75dc37a581d",
"monthlyPremium": 100,
"policyType": "HO3",
"premium": 1200,
"status": "SUCCEEDED",
"termLengthMonths": 12,
"discounts": {
"autoBundle": {
"included": true,
"amount": 123
}
}
}
],
"status": "RC1_RATING",
"contactPageUrl": "<string>",
"shortHostedDisplayUrl": "<string>"
}Endpoint Examples
Get Shopped Loan Application
GET
/
v1
/
loans
/
{id}
/
shop
cURL
Authorizations
JWT Token
Path Parameters
The unique identifier of the loan application
Example:
"693f2f46-69ff-4f20-a4d9-abe982d34fd4"
Response
The insurance options for a loan application
The URL of the hosted display for the insurance options
Example:
"https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4"
The unique identifier of the loan application
Example:
"693f2f46-69ff-4f20-a4d9-abe982d34fd4"
Show child attributes
Show child attributes
status
Option 1 · stringOption 2 · stringOption 3 · stringOption 4 · stringOption 5 · stringOption 6 · stringOption 7 · stringOption 8 · string
required
The status of the insurance options
Allowed value:
"NOT_YET_RATED"Example:
"RC1_RATING"
URL for the contact page for this loan application
Short URL for the hosted borrower quote experience, when available
Was this page helpful?
⌘I